[Risolto]Upgrade zfsutils-linux e zfs-zed fallito

Prossima versione di Ubuntu in fase di sviluppo e test. Per i precedenti rilasci, consultare «Archivio del forum».

[Risolto]Upgrade zfsutils-linux e zfs-zed fallito

Messaggioda Zombie17 » mercoledì 9 ottobre 2019, 5:56

Buon di, ieri e oggi ci sono stati un po' di aggiornamenti:

Codice: Seleziona tutto
Ieri
apt list --upgradable
Elencazione... Fatto
command-not-found/eoan,eoan 19.10.0 all [aggiornabile da: 18.10.0~pre2]
cups-browsed/eoan 1.25.7-0ubuntu1 amd64 [aggiornabile da: 1.25.6-1]
cups-filters-core-drivers/eoan 1.25.7-0ubuntu1 amd64 [aggiornabile da: 1.25.6-1]
cups-filters/eoan 1.25.7-0ubuntu1 amd64 [aggiornabile da: 1.25.6-1]
gdm3/eoan 3.34.1-1ubuntu1 amd64 [aggiornabile da: 3.34.0-1ubuntu1]
gir1.2-gdm-1.0/eoan 3.34.1-1ubuntu1 amd64 [aggiornabile da: 3.34.0-1ubuntu1]
gir1.2-javascriptcoregtk-4.0/eoan 2.26.1-2 amd64 [aggiornabile da: 2.26.1-1]
gir1.2-peas-1.0/eoan 1.24.0-2ubuntu1 amd64 [aggiornabile da: 1.24.0-2]
gir1.2-webkit2-4.0/eoan 2.26.1-2 amd64 [aggiornabile da: 2.26.1-1]
glib-networking-common/eoan,eoan 2.62.1-1 all [aggiornabile da: 2.62.0-1]
glib-networking-services/eoan 2.62.1-1 amd64 [aggiornabile da: 2.62.0-1]
glib-networking/eoan 2.62.1-1 amd64 [aggiornabile da: 2.62.0-1]
gnome-calculator/eoan 1:3.34.1-1ubuntu1 amd64 [aggiornabile da: 1:3.34.0-1ubuntu1]
gnome-calendar/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-1]
gnome-control-center-data/eoan,eoan 1:3.34.1-1ubuntu1 all [aggiornabile da: 1:3.34.0.1-1ubuntu2]
gnome-control-center-faces/eoan,eoan 1:3.34.1-1ubuntu1 all [aggiornabile da: 1:3.34.0.1-1ubuntu2]
gnome-control-center/eoan 1:3.34.1-1ubuntu1 amd64 [aggiornabile da: 1:3.34.0.1-1ubuntu2]
gnome-initial-setup/eoan 3.34.1-1ubuntu1 amd64 [aggiornabile da: 3.34.0-1ubuntu1]
gnome-keyring-pkcs11/eoan 3.34.0-1ubuntu1 amd64 [aggiornabile da: 3.31.91-1ubuntu3]
gnome-keyring/eoan 3.34.0-1ubuntu1 amd64 [aggiornabile da: 3.31.91-1ubuntu3]
gnome-session-bin/eoan 3.34.1-1ubuntu1 amd64 [aggiornabile da: 3.33.92-1ubuntu1]
gnome-session-common/eoan,eoan 3.34.1-1ubuntu1 all [aggiornabile da: 3.33.92-1ubuntu1]
gnome-startup-applications/eoan 3.34.1-1ubuntu1 amd64 [aggiornabile da: 3.33.92-1ubuntu1]
info/eoan 6.6.0.dfsg.1-2ubuntu2 amd64 [aggiornabile da: 6.6.0.dfsg.1-2ubuntu1]
install-info/eoan 6.6.0.dfsg.1-2ubuntu2 amd64 [aggiornabile da: 6.6.0.dfsg.1-2ubuntu1]
iputils-ping/eoan 3:20190709-2 amd64 [aggiornabile da: 3:20190709-1]
iputils-tracepath/eoan 3:20190709-2 amd64 [aggiornabile da: 3:20190709-1]
libcupsfilters1/eoan 1.25.7-0ubuntu1 amd64 [aggiornabile da: 1.25.6-1]
libdazzle-1.0-0/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-2]
libfontembed1/eoan 1.25.7-0ubuntu1 amd64 [aggiornabile da: 1.25.6-1]
libgdata-common/eoan,eoan 0.17.11-3build1 all [aggiornabile da: 0.17.11-1]
libgdata22/eoan 0.17.11-3build1 amd64 [aggiornabile da: 0.17.11-1]
libgdm1/eoan 3.34.1-1ubuntu1 amd64 [aggiornabile da: 3.34.0-1ubuntu1]
libjavascriptcoregtk-4.0-18/eoan 2.26.1-2 amd64 [aggiornabile da: 2.26.1-1]
libnautilus-extension1a/eoan 1:3.34.1-1ubuntu1 amd64 [aggiornabile da: 1:3.34.0-1ubuntu1]
libpam-gnome-keyring/eoan 3.34.0-1ubuntu1 amd64 [aggiornabile da: 3.31.91-1ubuntu3]
libpeas-1.0-0/eoan 1.24.0-2ubuntu1 amd64 [aggiornabile da: 1.24.0-2]
libpeas-common/eoan,eoan 1.24.0-2ubuntu1 all [aggiornabile da: 1.24.0-2]
librygel-core-2.6-2/eoan 0.38.1-2ubuntu3 amd64 [aggiornabile da: 0.38.1-2ubuntu2]
librygel-db-2.6-2/eoan 0.38.1-2ubuntu3 amd64 [aggiornabile da: 0.38.1-2ubuntu2]
librygel-renderer-2.6-2/eoan 0.38.1-2ubuntu3 amd64 [aggiornabile da: 0.38.1-2ubuntu2]
librygel-server-2.6-2/eoan 0.38.1-2ubuntu3 amd64 [aggiornabile da: 0.38.1-2ubuntu2]
libwebkit2gtk-4.0-37/eoan 2.26.1-2 amd64 [aggiornabile da: 2.26.1-1]
nautilus-data/eoan,eoan 1:3.34.1-1ubuntu1 all [aggiornabile da: 1:3.34.0-1ubuntu1]
nautilus/eoan 1:3.34.1-1ubuntu1 amd64 [aggiornabile da: 1:3.34.0-1ubuntu1]
openjdk-11-jdk-headless/eoan 11.0.5+9-1ubuntu1 amd64 [aggiornabile da: 11.0.5+6-1ubuntu2]
openjdk-11-jdk/eoan 11.0.5+9-1ubuntu1 amd64 [aggiornabile da: 11.0.5+6-1ubuntu2]
openjdk-11-jre-headless/eoan 11.0.5+9-1ubuntu1 amd64 [aggiornabile da: 11.0.5+6-1ubuntu2]
openjdk-11-jre/eoan 11.0.5+9-1ubuntu1 amd64 [aggiornabile da: 11.0.5+6-1ubuntu2]
python3-commandnotfound/eoan,eoan 19.10.0 all [aggiornabile da: 18.10.0~pre2]
rygel/eoan 0.38.1-2ubuntu3 amd64 [aggiornabile da: 0.38.1-2ubuntu2]
ubuntu-docs/eoan,eoan 19.10.2 all [aggiornabile da: 19.10.1]
ubuntu-session/eoan,eoan 3.34.1-1ubuntu1 all [aggiornabile da: 3.33.92-1ubuntu1]


Codice: Seleziona tutto
Oggi
apt list --upgradable
Elencazione... Fatto
binutils-common/eoan 2.33-1ubuntu1 amd64 [aggiornabile da: 2.32.90.20190929-0ubuntu2]
binutils-x86-64-linux-gnu/eoan 2.33-1ubuntu1 amd64 [aggiornabile da: 2.32.90.20190929-0ubuntu2]
binutils/eoan 2.33-1ubuntu1 amd64 [aggiornabile da: 2.32.90.20190929-0ubuntu2]
evince-common/eoan,eoan 3.34.1-1 all [aggiornabile da: 3.34.0-1]
evince/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-1]
evolution-data-server-common/eoan,eoan 3.34.1-1 all [aggiornabile da: 3.34.0-2]
evolution-data-server/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-2]
firefox-locale-en/eoan 69.0.2+build1-0ubuntu2 amd64 [aggiornabile da: 69.0.2+build1-0ubuntu1]
firefox-locale-it/eoan 69.0.2+build1-0ubuntu2 amd64 [aggiornabile da: 69.0.2+build1-0ubuntu1]
firefox/eoan 69.0.2+build1-0ubuntu2 amd64 [aggiornabile da: 69.0.2+build1-0ubuntu1]
gir1.2-gnomedesktop-3.0/eoan 3.34.1-1ubuntu1 amd64 [aggiornabile da: 3.34.0-2ubuntu1]
gir1.2-gtk-3.0/eoan 3.24.12-1ubuntu1 amd64 [aggiornabile da: 3.24.11-1ubuntu1]
gnome-desktop3-data/eoan,eoan 3.34.1-1ubuntu1 all [aggiornabile da: 3.34.0-2ubuntu1]
gtk-update-icon-cache/eoan 3.24.12-1ubuntu1 amd64 [aggiornabile da: 3.24.11-1ubuntu1]
gvfs-backends/eoan 1.42.1-1ubuntu1 amd64 [aggiornabile da: 1.42.0-1ubuntu1]
gvfs-bin/eoan 1.42.1-1ubuntu1 amd64 [aggiornabile da: 1.42.0-1ubuntu1]
gvfs-common/eoan,eoan 1.42.1-1ubuntu1 all [aggiornabile da: 1.42.0-1ubuntu1]
gvfs-daemons/eoan 1.42.1-1ubuntu1 amd64 [aggiornabile da: 1.42.0-1ubuntu1]
gvfs-fuse/eoan 1.42.1-1ubuntu1 amd64 [aggiornabile da: 1.42.0-1ubuntu1]
gvfs-libs/eoan 1.42.1-1ubuntu1 amd64 [aggiornabile da: 1.42.0-1ubuntu1]
gvfs/eoan 1.42.1-1ubuntu1 amd64 [aggiornabile da: 1.42.0-1ubuntu1]
libbinutils/eoan 2.33-1ubuntu1 amd64 [aggiornabile da: 2.32.90.20190929-0ubuntu2]
libcamel-1.2-62/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-2]
libebackend-1.2-10/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-2]
libebook-1.2-20/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-2]
libebook-contacts-1.2-3/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-2]
libecal-2.0-1/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-2]
libedata-book-1.2-26/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-2]
libedata-cal-2.0-1/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-2]
libedataserver-1.2-24/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-2]
libedataserverui-1.2-2/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-2]
libevdocument3-4/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-1]
libevview3-3/eoan 3.34.1-1 amd64 [aggiornabile da: 3.34.0-1]
libgnome-desktop-3-18/eoan 3.34.1-1ubuntu1 amd64 [aggiornabile da: 3.34.0-2ubuntu1]
libgtk-3-0/eoan 3.24.12-1ubuntu1 amd64 [aggiornabile da: 3.24.11-1ubuntu1]
libgtk-3-bin/eoan 3.24.12-1ubuntu1 amd64 [aggiornabile da: 3.24.11-1ubuntu1]
libgtk-3-common/eoan,eoan 3.24.12-1ubuntu1 all [aggiornabile da: 3.24.11-1ubuntu1]
libllvm9/eoan 1:9-2 amd64 [aggiornabile da: 1:9-1]
libnvpair1linux/eoan 0.8.1-1ubuntu13 amd64 [aggiornabile da: 0.8.1-1ubuntu12]
libssh-4/eoan 0.9.0-1ubuntu1 amd64 [aggiornabile da: 0.9.0-1]
libssh-gcrypt-4/eoan 0.9.0-1ubuntu1 amd64 [aggiornabile da: 0.9.0-1]
libuutil1linux/eoan 0.8.1-1ubuntu13 amd64 [aggiornabile da: 0.8.1-1ubuntu12]
libzfs2linux/eoan 0.8.1-1ubuntu13 amd64 [aggiornabile da: 0.8.1-1ubuntu12]
libzpool2linux/eoan 0.8.1-1ubuntu13 amd64 [aggiornabile da: 0.8.1-1ubuntu12]
python-cryptography/eoan 2.6.1-3.1 amd64 [aggiornabile da: 2.6.1-3ubuntu1]
python3-cryptography/eoan 2.6.1-3.1 amd64 [aggiornabile da: 2.6.1-3ubuntu1]
zfs-zed/eoan 0.8.1-1ubuntu13 amd64 [aggiornabile da: 0.8.1-1ubuntu12]
zfsutils-linux/eoan 0.8.1-1ubuntu13 amd64 [aggiornabile da: 0.8.1-1ubuntu12]


Oggi durante l'aggiornamento, zfsutils-linux e zfs-zed non si sono istallati e provando ad installarli singolarmente ottengo questo:

Codice: Seleziona tutto
sudo apt install zfsutils-linux zfs-zed
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
zfs-zed è già alla versione più recente (0.8.1-1ubuntu13).
È stato impostato zfs-zed per l'installazione manuale.
zfsutils-linux è già alla versione più recente (0.8.1-1ubuntu13).
È stato impostato zfsutils-linux per l'installazione manuale.
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  command-not-found-data linux-headers-5.3.0-10 linux-headers-5.3.0-10-generic
  linux-image-5.3.0-10-generic linux-modules-5.3.0-10-generic
  linux-modules-extra-5.3.0-10-generic
Usare "sudo apt autoremove" per rimuoverli.
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
2 non completamente installati o rimossi.
Dopo quest'operazione, verranno occupati 0 B di spazio su disco.
Continuare? [S/n] s
Configurazione di zfsutils-linux (0.8.1-1ubuntu13)...
zfs-import-scan.service is a disabled or a static unit not running, not starting
 it.
Job for zfs-load-module.service failed because the control process exited with e
rror code.
See "systemctl status zfs-load-module.service" and "journalctl -xe" for details.
A dependency job for zfs-import-cache.service failed. See 'journalctl -xe' for d
etails.
Job for zfs-mount.service failed because the control process exited with error c
ode.
See "systemctl status zfs-mount.service" and "journalctl -xe" for details.
invoke-rc.d: initscript zfs-mount, action "restart" failed.
● zfs-mount.service - Mount ZFS filesystems
   Loaded: loaded (/lib/systemd/system/zfs-mount.service; enabled; vendor preset
: enabled)
   Active: failed (Result: exit-code) since Wed 2019-10-09 06:38:05 CEST; 38ms a
go
     Docs: man:zfs(8)
  Process: 32339 ExecStart=/sbin/zfs mount -a (code=exited, status=1/FAILURE)
 Main PID: 32339 (code=exited, status=1/FAILURE)

ott 09 06:38:05 Lenovo zfs[32339]: The ZFS modules are not loaded.
ott 09 06:38:05 Lenovo zfs[32339]: Try running '/sbin/modprobe zfs' as root to l
oad them.
ott 09 06:38:05 Lenovo systemd[1]: Starting Mount ZFS filesystems...
ott 09 06:38:05 Lenovo systemd[1]: zfs-mount.service: Main process exited, code=
exited, status=1/FAILURE
ott 09 06:38:05 Lenovo systemd[1]: zfs-mount.service: Failed with result 'exit-c
ode'.
ott 09 06:38:05 Lenovo systemd[1]: Failed to start Mount ZFS filesystems.
dpkg: errore nell'elaborare il pacchetto zfsutils-linux (--configure):
 il sottoprocesso installato pacchetto zfsutils-linux script post-installation h
a restituito lo stato di errore 1
dpkg: problemi con le dipendenze impediscono la configurazione di zfs-zed:
 zfs-zed dipende da zfsutils-linux (>= 0.8.1-1ubuntu13); tuttavia:
  Il pacchetto zfsutils-linux non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto zfs-zed (--configure):
 problemi con le dipendenze - lasciato non configurato
Segnalazione apport non scritta poiché il messaggio di errore indica la presenza
 di un fallimento precedente.
                             Si sono verificati degli errori nell'elaborazione:
 zfsutils-linux
 zfs-zed
E: Sub-process /usr/bin/dpkg returned an error code (1)


Codice: Seleziona tutto
sudo dpkg --configure zfsutils-linux zfs-zed
Configurazione di zfsutils-linux (0.8.1-1ubuntu13)...
zfs-import-scan.service is a disabled or a static unit not running, not starting it.
Job for zfs-load-module.service failed because the control process exited with error code.
See "systemctl status zfs-load-module.service" and "journalctl -xe" for details.
A dependency job for zfs-import-cache.service failed. See 'journalctl -xe' for details.
Job for zfs-mount.service failed because the control process exited with error code.
See "systemctl status zfs-mount.service" and "journalctl -xe" for details.
invoke-rc.d: initscript zfs-mount, action "restart" failed.
● zfs-mount.service - Mount ZFS filesystems
   Loaded: loaded (/lib/systemd/system/zfs-mount.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Wed 2019-10-09 06:58:27 CEST; 29ms ago
     Docs: man:zfs(8)
  Process: 1214 ExecStart=/sbin/zfs mount -a (code=exited, status=1/FAILURE)
 Main PID: 1214 (code=exited, status=1/FAILURE)

ott 09 06:58:27 Lenovo systemd[1]: Starting Mount ZFS filesystems...
ott 09 06:58:27 Lenovo zfs[1214]: The ZFS modules are not loaded.
ott 09 06:58:27 Lenovo zfs[1214]: Try running '/sbin/modprobe zfs' as root to load them.
ott 09 06:58:27 Lenovo systemd[1]: zfs-mount.service: Main process exited, code=exited, status=1/FAILURE
ott 09 06:58:27 Lenovo systemd[1]: zfs-mount.service: Failed with result 'exit-code'.
ott 09 06:58:27 Lenovo systemd[1]: Failed to start Mount ZFS filesystems.
dpkg: errore nell'elaborare il pacchetto zfsutils-linux (--configure):
 il sottoprocesso installato pacchetto zfsutils-linux script post-installation ha restituito lo stato di errore 1
dpkg: problemi con le dipendenze impediscono la configurazione di zfs-zed:
 zfs-zed dipende da zfsutils-linux (>= 0.8.1-1ubuntu13); tuttavia:
  Il pacchetto zfsutils-linux non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto zfs-zed (--configure):
 problemi con le dipendenze - lasciato non configurato
Si sono verificati degli errori nell'elaborazione:
 zfsutils-linux
 zfs-zed


Devo ancora fare qualche giro di dpkg e dare uno sguardo in /var, vedrò di farlo durante la giornata, se riesco a trovare la soluzione la riporterò qui.

Nel frattempo, qualcuno ha già visto questo problema e sa da cosa dipende?

EDIT

Codice: Seleziona tutto
sudo apt purge zfsutils-linux zfs-zed
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  command-not-found-data libnvpair1linux libuutil1linux libzfs2linux
  libzpool2linux linux-headers-5.3.0-10 linux-headers-5.3.0-10-generic
  linux-image-5.3.0-10-generic linux-modules-5.3.0-10-generic
  linux-modules-extra-5.3.0-10-generic
Usare "sudo apt autoremove" per rimuoverli.
I seguenti pacchetti saranno RIMOSSI:
  zfs-zed* zfsutils-linux*
0 aggiornati, 0 installati, 2 da rimuovere e 0 non aggiornati.
2 non completamente installati o rimossi.
Dopo quest'operazione, verranno liberati 1.509 kB di spazio su disco.
Continuare? [S/n] s
(Lettura del database... 275760 file e directory attualmente installati.)
Rimozione di zfs-zed (0.8.1-1ubuntu13)...
Rimozione di zfsutils-linux (0.8.1-1ubuntu13)...
Elaborazione dei trigger per man-db (2.8.7-3)...
(Lettura del database... 275581 file e directory attualmente installati.)
Eliminazione dei file di configurazione di zfs-zed (0.8.1-1ubuntu13)...
Eliminazione dei file di configurazione di zfsutils-linux (0.8.1-1ubuntu13)...
Elaborazione dei trigger per systemd (242-7ubuntu1)...
carmine@Lenovo:~$ sudo apt install zfsutils-linux zfs-zed
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  command-not-found-data linux-headers-5.3.0-10 linux-headers-5.3.0-10-generic
  linux-image-5.3.0-10-generic linux-modules-5.3.0-10-generic
  linux-modules-extra-5.3.0-10-generic
Usare "sudo apt autoremove" per rimuoverli.
Pacchetti suggeriti:
  nfs-kernel-server samba-common-bin zfs-initramfs | zfs-dracut
I seguenti pacchetti NUOVI saranno installati:
  zfs-zed zfsutils-linux
0 aggiornati, 2 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 0 B/401 kB di archivi.
Dopo quest'operazione, verranno occupati 1.509 kB di spazio su disco.
Selezionato il pacchetto zfsutils-linux non precedentemente selezionato.
(Lettura del database... 275570 file e directory attualmente installati.)
Preparativi per estrarre .../zfsutils-linux_0.8.1-1ubuntu13_amd64.deb...
Estrazione di zfsutils-linux (0.8.1-1ubuntu13)...
Selezionato il pacchetto zfs-zed non precedentemente selezionato.
Preparativi per estrarre .../zfs-zed_0.8.1-1ubuntu13_amd64.deb...
Estrazione di zfs-zed (0.8.1-1ubuntu13)...
Configurazione di zfsutils-linux (0.8.1-1ubuntu13)...
Created symlink /etc/systemd/system/zfs-import.target.wants/zfs-import-cache.ser
vice → /lib/systemd/system/zfs-import-cache.service.
Created symlink /etc/systemd/system/zfs.target.wants/zfs-import.target → /lib/sy
stemd/system/zfs-import.target.
Created symlink /etc/systemd/system/zfs-mount.service.wants/zfs-load-module.serv
ice → /lib/systemd/system/zfs-load-module.service.
Created symlink /etc/systemd/system/zfs.target.wants/zfs-load-module.service → /
lib/systemd/system/zfs-load-module.service.
Created symlink /etc/systemd/system/zfs.target.wants/zfs-mount.service → /lib/sy
stemd/system/zfs-mount.service.
Created symlink /etc/systemd/system/zfs.target.wants/zfs-share.service → /lib/sy
stemd/system/zfs-share.service.
Created symlink /etc/systemd/system/multi-user.target.wants/zfs.target → /lib/sy
stemd/system/zfs.target.
zfs-import-scan.service is a disabled or a static unit, not starting it.
Job for zfs-load-module.service failed because the control process exited with e
rror code.
See "systemctl status zfs-load-module.service" and "journalctl -xe" for details.
A dependency job for zfs-import-cache.service failed. See 'journalctl -xe' for d
etails.
Job for zfs-mount.service failed because the control process exited with error c
ode.
See "systemctl status zfs-mount.service" and "journalctl -xe" for details.
invoke-rc.d: initscript zfs-mount, action "start" failed.
● zfs-mount.service - Mount ZFS filesystems
   Loaded: loaded (/lib/systemd/system/zfs-mount.service; enabled; vendor preset
: enabled)
   Active: failed (Result: exit-code) since Wed 2019-10-09 07:06:40 CEST; 36ms a
go
     Docs: man:zfs(8)
  Process: 3541 ExecStart=/sbin/zfs mount -a (code=exited, status=1/FAILURE)
 Main PID: 3541 (code=exited, status=1/FAILURE)

ott 09 07:06:40 Lenovo systemd[1]: Starting Mount ZFS filesystems...
ott 09 07:06:40 Lenovo zfs[3541]: The ZFS modules are not loaded.
ott 09 07:06:40 Lenovo zfs[3541]: Try running '/sbin/modprobe zfs' as root to lo
ad them.
ott 09 07:06:40 Lenovo systemd[1]: zfs-mount.service: Main process exited, code=
exited, status=1/FAILURE
ott 09 07:06:40 Lenovo systemd[1]: zfs-mount.service: Failed with result 'exit-c
ode'.
ott 09 07:06:40 Lenovo systemd[1]: Failed to start Mount ZFS filesystems.
dpkg: errore nell'elaborare il pacchetto zfsutils-linux (--configure):
 il sottoprocesso installato pacchetto zfsutils-linux script post-installation h
a restituito lo stato di errore 1
dpkg: problemi con le dipendenze impediscono la configurazione di zfs-zed:
 zfs-zed dipende da zfsutils-linux (>= 0.8.1-1ubuntu13); tuttavia:
  Il pacchetto zfsutils-linux non è ancora configurato.

dpkg: errore nell'elaborare il pacchetto zfs-zed (--configure):
 problemi con le dipendenze - lasciato non configurato
Segnalazione apport non scritta poiché il messaggio di errore indica la presenza
 di un fallimento precedente.
                             Elaborazione dei trigger per man-db (2.8.7-3)...
Elaborazione dei trigger per systemd (242-7ubuntu1)...
Si sono verificati degli errori nell'elaborazione:
 zfsutils-linux
 zfs-zed
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ultima modifica di Zombie17 il venerdì 11 ottobre 2019, 11:18, modificato 1 volta in totale.
:windows:
Avatar utente
Zombie17
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 434
Iscrizione: luglio 2019
Desktop: GNOME (in Ubuntu 3.34.0)
Distribuzione: Ubuntu 19.10, Kali 2019.3 amd64
Sesso: Maschile

Re: zfsutils-linux e zfs-zed non si installano durante upgra

Messaggioda corradoventu » mercoledì 9 ottobre 2019, 6:57

a me li ha installati oggi con unattended-upgrades, guarda in /var/log/unattended-upgrades i log: unattended-upgrades-dpkg.log unattended-upgrades.log
Codice: Seleziona tutto
Log started: 2019-10-09  07:34:56
(Reading database ...
(Reading database ... 5%
...
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 150780 files and directories currently installed.)
Preparing to unpack .../zfsutils-linux_0.8.1-1ubuntu13_amd64.deb ...
Unpacking zfsutils-linux (0.8.1-1ubuntu13) over (0.8.1-1ubuntu12) ...
Preparing to unpack .../libuutil1linux_0.8.1-1ubuntu13_amd64.deb ...
Unpacking libuutil1linux (0.8.1-1ubuntu13) over (0.8.1-1ubuntu12) ...
Preparing to unpack .../libzfs2linux_0.8.1-1ubuntu13_amd64.deb ...
Unpacking libzfs2linux (0.8.1-1ubuntu13) over (0.8.1-1ubuntu12) ...
Preparing to unpack .../libzpool2linux_0.8.1-1ubuntu13_amd64.deb ...
Unpacking libzpool2linux (0.8.1-1ubuntu13) over (0.8.1-1ubuntu12) ...
Preparing to unpack .../libnvpair1linux_0.8.1-1ubuntu13_amd64.deb ...
Unpacking libnvpair1linux (0.8.1-1ubuntu13) over (0.8.1-1ubuntu12) ...
Setting up libuutil1linux (0.8.1-1ubuntu13) ...
Setting up libnvpair1linux (0.8.1-1ubuntu13) ...
Setting up libzfs2linux (0.8.1-1ubuntu13) ...
Setting up libzpool2linux (0.8.1-1ubuntu13) ...
Setting up zfsutils-linux (0.8.1-1ubuntu13) ...
zfs-import-scan.service is a disabled or a static unit not running, not starting it.
Processing triggers for systemd (242-7ubuntu1) ...
Processing triggers for man-db (2.8.7-3) ...
Processing triggers for libc-bin (2.30-0ubuntu2) ...
Log ended: 2019-10-09  07:35:08

Codice: Seleziona tutto
corrado@corrado-p6-ee-1006:~$ apt policy zfsutils-linux zfs-zed
zfsutils-linux:
  Installed: 0.8.1-1ubuntu13
  Candidate: 0.8.1-1ubuntu13
  Version table:
 *** 0.8.1-1ubuntu13 500
        500 http://archive.ubuntu.com/ubuntu eoan/main amd64 Packages
        100 /var/lib/dpkg/status
zfs-zed:
  Installed: 0.8.1-1ubuntu13
  Candidate: 0.8.1-1ubuntu13
  Version table:
 *** 0.8.1-1ubuntu13 500
        500 http://archive.ubuntu.com/ubuntu eoan/main amd64 Packages
        100 /var/lib/dpkg/status
corrado@corrado-p6-ee-1006:
Con o senza religione, i buoni si comportano bene e i cattivi male, ma ci vuole la religione per far comportare male i buoni. (Steven Weinberg)
PC di casa: https://drive.google.com/folderview?id= ... sp=sharing
Avatar utente
corradoventu
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1619
Iscrizione: aprile 2008
Località: Bogliasco (GE) o Rezzoaglio (GE)
Desktop: GNOME
Distribuzione: Ubuntu 18.04, 19.04, 19.10, 20.04
Sesso: Maschile

Re: zfsutils-linux e zfs-zed non si installano durante upgra

Messaggioda trekfan1 » giovedì 10 ottobre 2019, 20:58

A me si installa solo sulla partizione con il kernel standard, con il kernel xanmod non c'è verso, i messaggi sono più o meno quelli postati da zombie17

PS: per favore evitate i titoli chilometrici, grazie
Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
 
Messaggi: 20073
Iscrizione: maggio 2006
Località: Formigine (MO) | Accecante Asceta
Desktop: Gnome
Distribuzione: Ubuntu 19.10 e 20.04 (dev) 64 bit
Sesso: Maschile

Re: zfsutils-linux e zfs-zed non si installano durante upgra

Messaggioda Zombie17 » venerdì 11 ottobre 2019, 7:50

Interessante, infatti non ho il kernel standard.

Mi fai venire il dubbio che il problema risieda nel caricamento del modulo del kernel per il supporto allo zfs o in qualche parametro che inseriscono nel compilare il kernel standard e che dovrebbe essere inserito anche nelle proprie compilazioni.

Provo a scaricare il kernel standard e vediamo se risolve il problema, quale kernel stanno distribuendo adesso?

5.3.??.??
:windows:
Avatar utente
Zombie17
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 434
Iscrizione: luglio 2019
Desktop: GNOME (in Ubuntu 3.34.0)
Distribuzione: Ubuntu 19.10, Kali 2019.3 amd64
Sesso: Maschile

Re: zfsutils-linux e zfs-zed non si installano durante upgra

Messaggioda corradoventu » venerdì 11 ottobre 2019, 8:06

A me si sono installati senza problemi sul kernel 5.3.0-13 e sul corrente 5.3.0.17 ma non sul mainline 5.4.0-rc2
Con o senza religione, i buoni si comportano bene e i cattivi male, ma ci vuole la religione per far comportare male i buoni. (Steven Weinberg)
PC di casa: https://drive.google.com/folderview?id= ... sp=sharing
Avatar utente
corradoventu
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1619
Iscrizione: aprile 2008
Località: Bogliasco (GE) o Rezzoaglio (GE)
Desktop: GNOME
Distribuzione: Ubuntu 18.04, 19.04, 19.10, 20.04
Sesso: Maschile

Re: zfsutils-linux e zfs-zed non si installano durante upgra

Messaggioda Zombie17 » venerdì 11 ottobre 2019, 11:16

Con kernel 5.3.0-13-generic installato senza problemi.

Per scrupolo darò un occhio alla configurazione di questo kernel per confrontarlo con il 5.4 rc1 e vedere se nel secondo mancano i parametri per abilitare il supporto allo zfs.

Comunque la questione iniziale è risolta, se qualc'un altro riscontra questo problema con kernel non standard gli sarà sufficiente scaricare un kernel dal repository per risolvere.

Visto l'insorgere di questi problemi, non terrò più un kernel compilato a mano e un rc come predefiniti ma un rc o un compilato (non entrambi) e uno standard.
:windows:
Avatar utente
Zombie17
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 434
Iscrizione: luglio 2019
Desktop: GNOME (in Ubuntu 3.34.0)
Distribuzione: Ubuntu 19.10, Kali 2019.3 amd64
Sesso: Maschile

Re: [Risolto]Upgrade zfsutils-linux e zfs-zed fallito

Messaggioda trekfan1 » venerdì 11 ottobre 2019, 12:25

Ma infatti anche io tengo il kernel xanmod e quello dei repo (tanto per sicurezza), cmq basta disinstallare zfsutils-linux se non si ha bisogno del supporto al filesystem zfs
Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
 
Messaggi: 20073
Iscrizione: maggio 2006
Località: Formigine (MO) | Accecante Asceta
Desktop: Gnome
Distribuzione: Ubuntu 19.10 e 20.04 (dev) 64 bit
Sesso: Maschile


Torna a Eoan Ermine 19.10

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 1 ospite